﻿@inject IHttpContextAccessor context
@model TransactionInputModel

@{
    var accountId = context.HttpContext.GetRouteValue("id");
    var receiverId = context.HttpContext.Request.Query["userId"].ToString();
    var senderAccountId = context.HttpContext.Request.Query["senderAccountId"].ToString();
    var asd = "";
}

<form asp-controller="Transaction" asp-action="Create" method="post" id="transactionForm">
    <input type="hidden" value="@accountId" name="ReceiverAccountId" id="receiverAccountId" />
    <input type="hidden" value="@receiverId" name="ReceiverId" id="receiverId" />
    <input type="hidden" value="@senderAccountId" name="SenderAccountId" id="senderAccountId" />
    <div class="form-row">
        <div class="col">
            <label asp-for="@Model.Sum" class="form-label"></label>
            <input asp-for="@Model.Sum" type="number" class="form-control" placeholder="Sum" name="Sum">
            <span asp-validation-for="@Model.Sum" class="text-danger"></span>
        </div>
        <div class="col">
            <label asp-for="@Model.Description" class="form-label"></label>
            <input asp-for="@Model.Description" type="text" class="form-control" placeholder="Description" name="Description" id="description">
            <span asp-validation-for="@Model.Description" class="text-danger"></span>
        </div>
    </div>
    <button type="submit" class="btn btn-success" id="transactionFormButton">Send</button>

    <script src="~/js/TestAjax.js"></script>

</form>


